rte_tm_error(3)

NAME
rte_tm_error

SYNOPSIS

#include <rte_tm.h>

  Data Fields

enum rte_tm_error_type type
const void * cause
const char * message

Detailed Description

Verbose error structure definition.

This object is normally allocated by applications and set by PMDs, the message points to a constant string which does not need to be freed by the application, however its pointer can be considered valid only as long as its associated DPDK port remains configured. Closing the underlying device or unloading the PMD invalidates it.

Both cause and message may be NULL regardless of the error type.

Definition at line 1218 of file rte_tm.h.

Field Documentation

  enum rte_tm_error_type type
Cause field and error type.

Definition at line 1219 of file rte_tm.h.

  const void* cause
Object responsible for the error.

Definition at line 1220 of file rte_tm.h.

  const char* message
Human-readable error message.

Definition at line 1221 of file rte_tm.h.

Author

Generated automatically by Doxygen for DPDK from the source code.